# Upstream ceph commit upon which this package is based:
# patches_base=322d99c40c0c860ff6e3138356f83ea1ffcefeea    75cca95f9e783cbdfc32aa45321e9eb92ee22640 75cca95f9e783cbdfc32aa45321e9eb92ee22640 1c406e77268914b7022990cae0cbc26e2eefe3cd 75cca95f9e783cbdfc32aa45321e9eb92ee22640 75cca95f9e783cbdfc32aa45321e9eb92ee22640 1c406e77268914b7022990cae0cbc26e2eefe3cd 75cca95f9e783cbdfc32aa45321e9eb92ee22640 75cca95f9e783cbdfc32aa45321e9eb92ee22640

Name:    cephadm
Epoch:   2
Version: 16.2.14
Release: 2%{?dist}
Summary: Utility to bootstrap Ceph clusters
License: LGPL-2.1
URL:     https://ceph.io
Source0: https://github.com/ceph/ceph/raw/50ed6a93f48c25f7fa01c5ac6f807daa6b46fb36/src/cephadm/cephadm
Source1: COPYING-LGPL2.1

BuildArch: noarch

Requires:       lvm2
Requires:       python3
Recommends:     podman
%description
Utility to bootstrap a Ceph cluster and manage Ceph daemons deployed
with systemd and podman.

%prep
cp %{SOURCE0} .
cp %{SOURCE1} .

%build

%install
mkdir -p %{buildroot}%{_sbindir}
install -m 0755 cephadm %{buildroot}%{_sbindir}/cephadm
mkdir -p %{buildroot}%{_sharedstatedir}/cephadm
chmod 0700 %{buildroot}%{_sharedstatedir}/cephadm
mkdir -p %{buildroot}%{_sharedstatedir}/cephadm/.ssh
chmod 0700 %{buildroot}%{_sharedstatedir}/cephadm/.ssh
touch %{buildroot}%{_sharedstatedir}/cephadm/.ssh/authorized_keys
chmod 0600 %{buildroot}%{_sharedstatedir}/cephadm/.ssh/authorized_keys

%pre
getent group cephadm >/dev/null || groupadd -r cephadm
getent passwd cephadm >/dev/null || useradd -r -g cephadm -s /bin/bash -c "cephadm user for mgr/cephadm" -d %{_sharedstatedir}/cephadm cephadm
exit 0

%postun
userdel -r cephadm || true
exit 0

%files
%license COPYING-LGPL2.1
%{_sbindir}/cephadm
%attr(0700,cephadm,cephadm) %dir %{_sharedstatedir}/cephadm
%attr(0700,cephadm,cephadm) %dir %{_sharedstatedir}/cephadm/.ssh
%attr(0600,cephadm,cephadm) %{_sharedstatedir}/cephadm/.ssh/authorized_keys

%changelog

* Thu Mar 25 2021 Francesco Pantano <fpantano@redhat.com> - 2:16.1.0-2
- 16.1.0-2 GA
